m-chrzan.xyz
aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorVon Welch <von@vwelch.com>2014-04-22 23:14:14 -0400
committerVon Welch <von@vwelch.com>2014-04-22 23:14:47 -0400
commit6068e1e364c26218189deb32fe74e9d049dbdfa5 (patch)
tree6d470f32d128a2b802f167b0df99bd376f6dd383 /tests
parent6901013b90775d3148be339ef32390f07180e67f (diff)
tests: Remove work-around for 'pass insert' in create_cred()
Diffstat (limited to 'tests')
-rwxr-xr-xtests/setup.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/tests/setup.sh b/tests/setup.sh
index 0400acc..e551cd3 100755
--- a/tests/setup.sh
+++ b/tests/setup.sh
@@ -86,7 +86,7 @@ check_cred() {
return 1
fi
}
-
+
# check_no_cred()
#
# Check to make sure the given credential does not exist.
@@ -130,9 +130,7 @@ create_cred() {
local password="$1"
shift
echo "Using password \"$password\" for $cred"
- # TODO: Working around bug with 'pass insert' returning non-zero.
- # Fix this code to exit on error when that is fixed.
- $PASS insert -e "$cred" <<<"$password" || true
+ $PASS insert -e "$cred" <<<"$password" || return 1
else
echo "Generating random password for $cred"
if ! $PASS generate "${cred}" 24 > /dev/null; then